package com.ruoyi.framework.recovery.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 微信优惠卷对象 wx_coupons
 * 
 * @author jin
 * @date 2024-12-08
 */
public class WxCoupons extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优惠卷id */
    private Long id;

    /** 优惠卷类型 */
    @Excel(name = "优惠卷类型")
    private String couponsType;

    /** 优惠卷折扣 */
    @Excel(name = "优惠卷折扣")
    private String couponsAmount;

    /**
     * 优惠卷金额
     */
    @Excel(name = "优惠卷金额")
    private BigDecimal couponsPrice;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCouponsType(String couponsType) 
    {
        this.couponsType = couponsType;
    }

    public String getCouponsType() 
    {
        return couponsType;
    }
    public void setCouponsAmount(String couponsAmount) 
    {
        this.couponsAmount = couponsAmount;
    }

    public String getCouponsAmount() 
    {
        return couponsAmount;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }

    public BigDecimal getCouponsPrice() {
        return couponsPrice;
    }

    public void setCouponsPrice(BigDecimal couponsPrice) {
        this.couponsPrice = couponsPrice;
    }

    @Override
    public String toString() {
        return "WxCoupons{" +
                "id=" + id +
                ", couponsType='" + couponsType + '\'' +
                ", couponsAmount='" + couponsAmount + '\'' +
                ", couponsPrice=" + couponsPrice +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
